<?php
// +--------------------------------------------------------------------------+
// | Contentteller(R) Community Edition 1.0.0 (Release Candidate 1)           |
// +--------------------------------------------------------------------------+
// | Copyright (C) 2002 - 2008 by Esselbach Internet Solutions                |
// | Available from http://www.contentteller.com                              |
// +--------------------------------------------------------------------------+
// | This program is free software; you can redistribute it and/or modify it  |
// | under the terms of the GNU General Public License version 3 as published |
// | by the Free Software Foundation.                                         |
// |                                                                          |
// | This program is distributed in the hope that it will be useful, but      |
// | WITHOUT ANY WARRANTY; without even the implied warranty of               |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. For more details    |
// | see the GNU General Public License.                                      |
// |                                                                          |
// | You should have received a copy of the GNU General Public License along  |
// | with this program; if not, see http://www.gnu.org/licenses or write to   |
// | the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,     |
// | Boston, MA 02110-1301 USA.                                               |
// |                                                                          |
// | You can contact Esselbach Internet Solutions at the following address:   |
// | Rautenstrauchgasse 6-16/4, A-1110 Vienna, Austria                        |
// | or via email at office (at) esselbach.com                                |
// |                                                                          |
// | The interactive user interfaces in modified source and object code       |
// | versions of this program must display Appropriate Legal Notices,         |
// | as required under Section 5 of the GNU General Public License version 3. |
// | In accordance with Section 7(b) of the GNU General Public License        |
// | version 3, these Appropriate Legal Notices must retain the display of    |
// | the "Managed with Contentteller" logo and retain the original            |
// | copyright notice.                                                        |
// |                                                                          |
// | If the display of the logos are not reasonably feasible for technical    |
// | reasons, the Appropriate Legal Notices must display the words "Managed   |
// | with Contentteller"                                                      |
// +--------------------------------------------------------------------------+
// | Contentteller is a registered trademark.                                 |
// +--------------------------------------------------------------------------+ 
// | Build: 484   Date: Thu, 07 Aug 2008 16:13:31 +0200                       |  
// +--------------------------------------------------------------------------+

/**
 * @package Contentteller
 * @copyright (C) 2002-2008 Esselbach Internet Solutions
 */
if( !defined( "CONTENTTELLER_ADMIN" ) )
{
	die( "Error" );
}

if( !isset( $_SESSION[ 'core_security_hash' ] ) )
{
	session_start();
	$security_hash = md5( rand( 1, 32768 ) );
	$_SESSION[ 'core_security_hash' ] = $security_hash;
}
else
{
	$security_hash = $_SESSION[ 'core_security_hash' ];
}

$html -> makeheader( $words_core[ 'OVERVIEW' ] );
$html -> makesubheader();
$html -> makegroupmenu( $group );
$ausername = stripslashes( $login_username );
$html -> makemainheader( $words_core[ 'WELCOME' ] . " $login_username", "cadmin" );
echo $words_core[ 'WELCOME_TO_CMS' ] . " " . $preferences[ 'product_type' ] . " " . $preferences[ 'product_version' ];
echo "<br /><br />" . $words_core[ 'YOU_ARE_RUNNING' ] . " " . $words_core[ 'PHP_VERSION' ] . " " . phpversion() . " " . $words_core[ 'AND' ] . " " . $database -> dbserver();
echo "<br /><br />";

if( $config[ 'ADMIN_LANGUAGE' ] == "de" )
{
    echo "Besuchen Sie das <a href=\"http://community.contentteller.com/f19/\">Contentteller Community Forum</a> f&uuml;r Community Support oder kaufen Sie die kommerzielle Version f&uuml; erweiterten Support.";
}
else
{
    echo "Visit the <a href=\"http://community.contentteller.com\">Contentteller Community Forums</a> for community support or purchase the commercial version for extended support.";
}

$html -> makemainsubform( $words_core[ 'BLACK_BOARD' ] );
$query = $database -> dbquery( "SELECT adminnote_author, adminnote_note, adminnote_date FROM " . DB_PREFIX . "esselbach_ct_adminnotes ORDER BY adminnote_id DESC LIMIT 1" );

if( $database -> dbrows( $query ) )
{
	list( $adminnote_author, $adminnote_note, $adminnote_date ) = $database -> dbrow( $query );
}
else
{
	$adminnote_author = "";
	$adminnote_note = "";
	$adminnote_date = "";
}

$html -> makearea( $words_core[ 'ADMIN_NOTES' ], "input_adminnote_note", $adminnote_note );
echo "<br />" . $words_core[ 'LAST_UPDATED_BY' ] . ": " . $adminnote_author . " " . $words_core[ 'ON' ] . " " . $adminnote_date . "<br />";
echo "<input type=\"hidden\" name=\"input_security_hash\" value=\"" . $security_hash . "\" /><input type=\"hidden\" name=\"aform\" value=\"donote\" /><input type=\"submit\" value=\"" . $words_core[ 'UPDATE' ] . "\" />";
$html -> makeformsubfooter();
$query = $database -> dbquery( "SELECT module_name FROM " . DB_PREFIX . "esselbach_ct_modules WHERE module_group = '1'" );

while( list( $module_name ) = $database -> dbrow( $query ) )
{
	if( file_exists( $module_name . "/admingroup_" . $module_name . ".php" ) )
	{
		include( $module_name . "/admingroup_" . $module_name . ".php" );
	}
}

echo "</div>";
?>